package com.common.bean;

import java.io.Serializable;

/**
 * Created by Miaoke on 31/03/2017.
 */

public class EmploymentServerBean implements Serializable {

    /**
     * companyAddress : string
     * companyArea : string
     * companyCity : string
     * companyDistrict : string
     * companyName : string
     * companyPhone : string
     * companyProvince : string
     * profession : PROGRAMMER
     * salary : BELOW_2B
     * workEmail : string
     */

    private String companyAddress;
    private String companyArea;
    private String companyCity;
    private String companyDistrict;
    private String companyName;
    private String companyPhone;
    private String companyProvince;
    private String profession;
    private String salary;
    private String workCardUrl;

    public String getCompanyAddress() {
        return companyAddress;
    }

    public String getRegion() {
        return getCompanyProvince() + " " + getCompanyCity() + " " + getCompanyDistrict() + " " + getCompanyArea();
    }

    public void setCompanyAddress(String companyAddress) {
        this.companyAddress = companyAddress;
    }

    public String getCompanyArea() {
        return companyArea == null ? "" : companyArea;
    }

    public void setCompanyArea(String companyArea) {
        this.companyArea = companyArea;
    }

    public String getCompanyCity() {
        return companyCity == null ? "" : companyCity;
    }

    public void setCompanyCity(String companyCity) {
        this.companyCity = companyCity;
    }

    public String getCompanyDistrict() {
        return companyDistrict == null ? "" : companyDistrict;
    }

    public void setCompanyDistrict(String companyDistrict) {
        this.companyDistrict = companyDistrict;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public String getCompanyPhone() {
        return companyPhone;
    }

    public void setCompanyPhone(String companyPhone) {
        this.companyPhone = companyPhone;
    }

    public String getCompanyProvince() {
        return companyProvince == null ? "" : companyProvince;
    }

    public void setCompanyProvince(String companyProvince) {
        this.companyProvince = companyProvince;
    }

    public String getProfession() {
        return profession;
    }

    public void setProfession(String profession) {
        this.profession = profession;
    }

    public String getSalary() {
        return salary;
    }

    public void setSalary(String salary) {
        this.salary = salary;
    }

    public String getWorkCardUrl() {
        return workCardUrl;
    }

    public void setWorkCardUrl(String workCardUrl) {
        this.workCardUrl = workCardUrl;
    }
}
